
Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Bug #630

Loading directory with .cue inside loads files double

March 28, 2016 21:12 - Peter Andrews

Status: Closed Start date: March 28, 2016

Priority: Major Due date:  

Assignee:  % Done: 100%

Category: libaudcore Estimated time: 0.00 hour

Target version: 3.8   

Affects version: 3.7.1   

Description

Helo,

I've just updated Audacious to audacious-3.7.1-1~webupd8~trusty0 (from I think v3.4.3?) and I've noticed one issue...

When I load a directory with File -> Open Files / Add Files (or just drag'n'drop dir) and inside that directory is .cue playlist then files

are loaded to Audacious double.

So if there's 10 audio files inside the dir and .cue with 10 files playlist, it will load 20 entries into Audacious.

This issue hasn't been present in previous version I've been using so I figured it's some sort of new version bug.

Please fix it :)

Best Regards!

History

#1 - April 02, 2016 19:57 - John Lindgren

- Category set to libaudcore

- Status changed from New to Closed

- Target version set to 3.8

- % Done changed from 0 to 100

Fixed.  3.4.x just ignored the cuesheet completely; that's why you didn't get duplicates before.

#2 - April 03, 2016 05:00 - Peter Andrews

Thanks Mr. John ;)

Waiting for that release of 3.8!
